FEDORA-2017-60f90dbe89

security update in Fedora 27 for LibRaw

Status: obsolete
Fix for possible heap overrun in Canon makernotes parser
Fix for CVE-2017-13735
CVE-2017-14265: Additional check for X-Trans CFA pattern data

LibRaw 0.18.3

Fix for CVE-2017-13735
Additional checks for X-Trans CFA pattern data

Patch for CVE-2017-13735.

Comments 5

This update has been submitted for testing by limb.

This update has obsoleted LibRaw-0.18.3-1.fc27, and has inherited its bugs and notes.

This update has been pushed to testing.

This update has been obsoleted by LibRaw-0.18.4-2.fc27.


Add Comment & Feedback
Toggle Preview

Comment fields support Fedora-Flavored Markdown.

-1 0 +1 Feedback Guidelines
#1490877 LibRaw-0.18.4 is available
#1490032 LibRaw-0.18.3 is available
#1488947 CVE-2017-13735 libraw: Floating point exception in kodak_radc_load_raw function in internal/dcraw_common.cpp [fedora-all]
Is the update generally functional?
Content Type
RPM
Status
obsolete
Submitted by
Update Type
security
Update Severity
medium
Karma
+1
stable threshold: 3
unstable threshold: -3
Autopush
Enabled
Dates
submitted 2 months ago
in testing 2 months ago

Related Bugs 3

00 #1490877 LibRaw-0.18.4 is available
00 #1490032 LibRaw-0.18.3 is available
00 #1488947 CVE-2017-13735 libraw: Floating point exception in kodak_radc_load_raw function in internal/dcraw_common.cpp [fedora-all]

Automated Test Results